Subject: Re: [PATCH] Complain about missing system calls.

From: "H. Peter Anvin" <[email-masked]>
Date: Fri, 09 Mar 2007 11:40:08 -0800

Jan-Benedict Glaw wrote:
> 
> Not everybody has a simple indexed list of pointers :)  For example,
> for vax-linux, we use a struct per syscall with the expected number of
> on-stack longwords for the call.
> 
> So if something "new" is coming up, please keep in mind that it should
> be flexible enough to represent that. :)
> 

I discussed with Al Viro a while ago about using something like the 
SYSCALLS.def file from klibc as the source format for the system calls. 
  That would deal very flexibly with almost all kinds of stub generation.

	-hpa